<template>
    <div>
        <ol class="breadcrumb">
            <!-- <a class="btn btn-success" hrefฃฃฃฃ="http://localhost:8000/employee/viewcreate"> เพิ่มรายการ </a> -->
            <div @click="createEmployee()" class="btn btn-success" >
                <div data-i18n="3">เพิ่มพนักงาน</div>
            </div>
        </ol>
        <div class="card">

            <!-- <button @click="showEditProduct()">12312</button> -->

            <div class="card-header card_header_admin">
                <h5 class="mt-3 ms-2">รายการพนักงาน</h5>
            </div>
            <div class="card-body mt-3">
                <table id="table_list_employee">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>ชื่อไทย</th>
                            <th>ชื่อเล่น</th>
                            <th>สังกัด</th>
                            <th>ตำแหน่ง</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>
        </div>



    </div>
    </template>




    <script>


        var table = '';
        var type_product = null;

        $(document).on("click",".edit_employee",function() {
            let id = $(this).data('id');

            window.location.href = '/hr/employee/edit/'+id;

        });

        $(document).on("click",".cancel_status",function() {
            let id = $(this).data('id');
            $('#id_order').val(id);
        });


        export default {
            data(){
                return{
                    id:null,

                }
            },
            methods:{
                runFuntion(){
                    type_product = this.$route.params.type;
                    this.globalAddToken();
                },

                testTable(){
                    // table.ajax.url( '/api/product/list/'+ this.$route.params.type).load();
                },
                createEmployee(){
                    window.location.href = '/hr/employee/create';
                }
            },
            computed:{

            },
            mounted() {
                this.runFuntion();

            },
            watch: {
                '$route' () {
                    this.testTable();
                }
            },
            created(){

                $(document).ready(function () {

                    $('.select-single').select2();
                    $('.dropify').dropify();


                    table = $('#table_list_employee').DataTable({
                        processing: true,
                        serverSide: true,
                        ajax: '/api/employee/list',
                        columns: [
                            {
                                data:"id"
                            },
                            {
                                data:"full_name_th"
                            },
                            {
                                data:"nick_name"
                            },
                            {
                                data:"type_place.name"
                            },
                            {
                                data:"position_employee.name"
                            },
                            {
                                data: "id",
                                render: function ( data, type, row ) {

                                    // <button type="button" class="btn btn-danger delete_product" data-id="${row['id']}">ลบ</button>
                                    return `
                                        <button type="button" class="btn btn-warning edit_employee" data-id="${row['id']}">แก้ไข</button>
                                        <button type="button" class="btn btn-primary salary" data-id="${row['id']}">เงินเดือน</button>
                                    `;

                                }
                            },
                        ],

                    })

                });


            }
        }

    </script>



